Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

# Class ReferredDocumentAmount1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_01.ReferredDocumentAmount1Choice

public class ReferredDocumentAmount1Choice extends Object

Java class for ReferredDocumentAmount1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReferredDocumentAmount1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="DuePyblAmt" type="{urn:sepade:xsd:pain.008.001.01}CurrencyAndAmount"/>
               <element name="DscntApldAmt" type="{urn:sepade:xsd:pain.008.001.01}CurrencyAndAmount"/>
               <element name="RmtdAmt" type="{urn:sepade:xsd:pain.008.001.01}CurrencyAndAmount"/>
               <element name="CdtNoteAmt" type="{urn:sepade:xsd:pain.008.001.01}CurrencyAndAmount"/>
               <element name="TaxAmt" type="{urn:sepade:xsd:pain.008.001.01}CurrencyAndAmount"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CurrencyAndAmount`
`cdtNoteAmt`
`protected CurrencyAndAmount`
`dscntApldAmt`
`protected CurrencyAndAmount`
`duePyblAmt`
`protected CurrencyAndAmount`
`rmtdAmt`
`protected CurrencyAndAmount`
`taxAmt`

## Constructor Summary

Constructors
Constructor
Description
`ReferredDocumentAmount1Choice()`

## Method Summary

Modifier and Type
Method
Description
`CurrencyAndAmount`
`getCdtNoteAmt()`
Gets the value of the cdtNoteAmt property.
`CurrencyAndAmount`
`getDscntApldAmt()`
Gets the value of the dscntApldAmt property.
`CurrencyAndAmount`
`getDuePyblAmt()`
Gets the value of the duePyblAmt property.
`CurrencyAndAmount`
`getRmtdAmt()`
Gets the value of the rmtdAmt property.
`CurrencyAndAmount`
`getTaxAmt()`
Gets the value of the taxAmt property.
`void`
`setCdtNoteAmt(CurrencyAndAmount value)`
Sets the value of the cdtNoteAmt property.
`void`
`setDscntApldAmt(CurrencyAndAmount value)`
Sets the value of the dscntApldAmt property.
`void`
`setDuePyblAmt(CurrencyAndAmount value)`
Sets the value of the duePyblAmt property.
`void`
`setRmtdAmt(CurrencyAndAmount value)`
Sets the value of the rmtdAmt property.
`void`
`setTaxAmt(CurrencyAndAmount value)`
Sets the value of the taxAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### duePyblAmt

protected CurrencyAndAmount duePyblAmt

### dscntApldAmt

protected CurrencyAndAmount dscntApldAmt

### rmtdAmt

protected CurrencyAndAmount rmtdAmt

### cdtNoteAmt

protected CurrencyAndAmount cdtNoteAmt

### taxAmt

protected CurrencyAndAmount taxAmt

## Constructor Details

### ReferredDocumentAmount1Choice

public ReferredDocumentAmount1Choice()

## Method Details

### getDuePyblAmt

public CurrencyAndAmount getDuePyblAmt()
Gets the value of the duePyblAmt property.

Returns:
  possible object is `CurrencyAndAmount`

### setDuePyblAmt

public void setDuePyblAmt(CurrencyAndAmount value)
Sets the value of the duePyblAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

### getDscntApldAmt

public CurrencyAndAmount getDscntApldAmt()
Gets the value of the dscntApldAmt property.

Returns:
  possible object is `CurrencyAndAmount`

### setDscntApldAmt

public void setDscntApldAmt(CurrencyAndAmount value)
Sets the value of the dscntApldAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

### getRmtdAmt

public CurrencyAndAmount getRmtdAmt()
Gets the value of the rmtdAmt property.

Returns:
  possible object is `CurrencyAndAmount`

### setRmtdAmt

public void setRmtdAmt(CurrencyAndAmount value)
Sets the value of the rmtdAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

### getCdtNoteAmt

public CurrencyAndAmount getCdtNoteAmt()
Gets the value of the cdtNoteAmt property.

Returns:
  possible object is `CurrencyAndAmount`

### setCdtNoteAmt

public void setCdtNoteAmt(CurrencyAndAmount value)
Sets the value of the cdtNoteAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

### getTaxAmt

public CurrencyAndAmount getTaxAmt()
Gets the value of the taxAmt property.

Returns:
  possible object is `CurrencyAndAmount`

### setTaxAmt

public void setTaxAmt(CurrencyAndAmount value)
Sets the value of the taxAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`